Inflate a deflated string

- « gzgetss

- gzopen »

- PHP Manual
- Zlib Functions
- Inflate a deflated string

# gzinflate

(PHP 4 >= 4.0.4, PHP 5, PHP 7, PHP 8)

gzinflate — Inflate a deflated string

### Description

gzinflate(string `$data`, int `$max_length` = 0): string|false

This function inflates a deflated string.

### Parameters

`data`

  The data compressed by gzdeflate().

`max_length`

  The maximum length of decoded data.

### Return Values

The original uncompressed data or `false` on error.

The function will return an error if the uncompressed data is more than 32768 times the length of the compressed input `data` or, unless `max_length` is `0`, more than the optional parameter `max_length`.

### Examples

Example #1 gzinflate() example

    <?php$compressed   = gzdeflate('Compress me', 9);$uncompressed = gzinflate($compressed);echo $uncompressed;?>

### See Also

- gzdeflate() - Deflate a string
- gzcompress() - Compress a string
- gzuncompress() - Uncompress a compressed string
- gzencode() - Create a gzip compressed string